Subject: Re: bug#67220: 30.0.50; ERC 5.6: Prefer parameter-driven MODE processing in ERC

From: "J.P." <[email-masked]>
Date: Fri, 24 Nov 2023 14:13:15 -0800

"J.P." <[email-masked]> writes:

> Unfortunately, this latest round of changes messed up a pretty basic but
> important aspect of channel-mode parsing. As a result, the ERC on HEAD
> confuses modes that take parameters with those that don't. Worst case is
> thought to be that strange values may be assigned to the variables
> `erc-channel-user-limit' and `erc-channel-key'. Fix attached.

The remedial changes mentioned have been lumped in with this commit:

  5bc84a0c9e4 * Cache UI string for channel modes in ERC